//---------------------------------------------------------------------------
// Copyright 1999 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file `COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Config/Types.h,v $
// $Id: Types.h,v 1.1 2000/02/26 21:36:48 ah Exp $
//
// Description: definition of some common types
//
//---------------------------------------------------------------------------

#ifndef AH_CONFIG_TYPES_H		// prevent multiple includes
#define AH_CONFIG_TYPES_H

// --- forward declarations ---

// --- necessary includes ---

#include <AH/Config/Platform.h>

// --- common types ---

BEGIN_NAMESPACE(AH)

/// 8 bit signed integer
typedef	char		int8;
/// 8 bit unsigned integer
typedef unsigned char	uint8;
/// 16 bit signed integer
typedef	short		int16;
/// 16 bit unsigned integer
typedef unsigned short	uint16;
/// 32 bit signed integer
typedef	int		int32;
/// 32 bit unsigned integer
typedef unsigned int	uint32;

END_NAMESPACE

#endif // !AH_CONFIG_TYPES_H

















