//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/BurrBrownOpCreat.h,v $
// $Id: BurrBrownOpCreat.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_BURRBROWN_OPCREAT_H	// prevent multiple includes
#define ETECH_BURRBROWN_OPCREAT_H

// --- necessary includes ---

#include <AH/Config/Platform.h>

BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

class OpAmp;

// --- types and classes ---


/// represents the creator class for Burr-Brown operational amplifiers
/**
 {\tt BurrBrownDevOpAmpCreator} represents a creator class for all 
 operational amplifiers made by Burr-Brown within {\em libEtech}.
 */
class BurrBrownOpAmpCreator
{
  public:
    /// create instance of specified Burr-Brown OpAmp
    OpAmp* create(const char* model) const;

}; // class BurrBrownOpAmpCreator



END_NAMESPACE

#endif // ETECH_BURRBROWN_OPCREAT_H
