//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/SpeakerCreator.h,v $
// $Id: SpeakerCreator.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_SPEAKER_CREATOR_H	// prevent multiple includes
#define ETECH_SPEAKER_CREATOR_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Speaker.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

/// represents the speaker creator class
/**
 {\tt SpeakerCreator} represents a creator class for all speakers
 within {\em libEtech}.
 */
class SpeakerCreator
{
  public:
    /// default constructor
    SpeakerCreator() {}

    /// virtual destructor
    virtual ~SpeakerCreator() {}

    /// create instance of specified speaker
    virtual Speaker* create(const char* company, const char* model) const;

}; // class SpeakerCreator


END_NAMESPACE

#endif // ETECH_SPEAKER_CREATOR_H
